//! Configure the transports for of your [`Ditto`](crate::ditto::Ditto) instance.

use_prelude!();

pub(crate) mod presence;
pub(crate) mod presence_observer;
pub(crate) mod sync;
pub(crate) mod sync_state;
pub(crate) mod transport_config;
pub(crate) mod v2;
pub(crate) mod v3;

pub use presence::Presence;
pub use presence_observer::PresenceObserver;
pub use sync::TransportSync;
pub use transport_config::{
    BluetoothLEConfig, Connect, Global, HttpListenConfig, LanConfig, Listen, PeerToPeer,
    TcpListenConfig, TransportConfig,
};
pub use v3::{Peer, PresenceGraph};
